{% load tz %}

{% if finished %}
{% if position %}
	<div id="episode-complete" class="episode-completed episode-completed-{{ position }}">
		<p>Your team came {{ position_text }} {% if finished_category %}in category {{ finished_category.display_label }} {% endif %}in this episode!</p>
	</div>
{% else %}
	<div id="episode-complete" class="episode-completed"><p>Your team has finished this episode!</p></div>
{% endif %}
{% endif %}
{% if flavour %}<div class="episode-flavour">{{ flavour | safe }}</div>{% endif %}
{% if not puzzles and upcoming_time %}
	{% spaceless %}
		{% comment %}
			Internally the episode is available and the puzzles are not, but to the player
			this may as well be the episode being "unavailable"
		{% endcomment %}
		This episode will become available at
		<span class="localtime" data-utc="{{ upcoming_time|utc|date:"c" }}" data-format="TIME_WITH_SHORT_OFFSET">
			{{ upcoming_time|time:"H:i:s O" }}
		</span>
		{% if not upcoming_in_next_day %} on {{ upcoming_time.date.isoformat }}{% endif %}
		({{ upcoming_time | timeuntil }} from now.)
		{% if headstart %}
		This includes your headstart of {{ headstart }}.
		{% endif %}
	{% endspaceless %}
{% elif upcoming_time %}
	{% spaceless %}
		The next puzzle will become available at
		<span class="localtime" data-utc="{{ upcoming_time|utc|date:"c" }}" data-format="TIME_WITH_SHORT_OFFSET">
			{{ upcoming_time|time:"H:i:s O" }}
		</span>
		{% if not upcoming_in_next_day %} on {{ upcoming_time.date.isoformat }}{% endif %}
		({% if not upcoming_under_1_minute %}{{ upcoming_time | timeuntil }}
		{% else %}less than one minute{% endif %}
		from now.)
		{% if headstart %}
			This includes your headstart of {{ headstart }}.
		{% endif %}
	{% endspaceless %}
{% endif %}
<div class="container-fluid tile-list">
{% for puzzle in puzzles %}
{% if puzzle.solved %}
<div class="tile tile-done puzzle-done">
{% else %}
<div class="tile tile-available">
{% endif %}
	<div class="tile-content">
		<a class="tile-link" href="{% url 'puzzle' episode_number forloop.counter %}">{{ puzzle.title }}
		</a>
{% if puzzle.solved %}
		<span class="puzzle-answer">
			<span class="answer">{{ puzzle.correct_answer }}</span>
			<a class="copy-answer" data-answer="{{ puzzle.correct_answer }}" href="">copy answer</a>
		</span>
{% endif %}
	</div>
</div>
{% endfor %}
</div>
